Bug 1629536 (CVE-2018-11781)

Summary: CVE-2018-11781 spamassassin: Local user code injection in the meta rule syntax
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jjelen, jskarvad, kevin, nb, olysonek, wtogami
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: spamassassin 3.4.2 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way a local user on the SpamAssassin server could inject code in the meta rule syntax. This could cause the arbitrary code execution on the server when these rules are being processed.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:37:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1629537, 1629538, 1632998, 1632999    
Bug Blocks: 1629527    

Description Sam Fowler 2018-09-17 03:26:59 UTC
Apache SpamAssassin before version 3.4.2 is vulnerable to local user code injection in the meta rule syntax.


External Reference:

https://mail-archives.apache.org/mod_mbox/spamassassin-announce/201809.mbox/raw/%3Cc57c0f41-742c-3c3e-249c-ae2614bf0d7d%40apache.org%3E/

Comment 1 Sam Fowler 2018-09-17 03:29:38 UTC
Created spamassassin tracking bugs for this issue:

Affects: fedora-all [bug 1629537]

Comment 11 errata-xmlrpc 2018-10-11 21:29:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2916 https://access.redhat.com/errata/RHSA-2018:2916